%define name	yaz
%define version	2.0.28
%define release	3mdk

%define major 2
%define libname	%mklibname %{name} %{major}

Summary:	Z39.50 protocol support library
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD-like
Group:		System/Libraries
Source0:	http://ftp.indexdata.dk/pub/yaz/%{name}-%{version}.tar.bz2
Patch0:		yaz-2.0.28-yaz-config.diff.bz2
URL:		http://www.indexdata.dk/yaz/
BuildRequires:	libxml2-devel
BuildRequires:	tcp_wrappers-devel
BuildRequires:	openssl-devel
BuildRequires:	readline-devel
BuildRequires:	docbook-utils
BuildRequires:	docbook-dtd412-xml
BuildRequires:	docbook-style-dsssl
BuildRequires:	jade
BuildRequires:	jadetex
BuildRequires:	zlib-devel
BuildRequires:	autoconf2.5
BuildRequires:	automake1.7
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This package contains both a test-server and clients (normal &
ssl) for the ANSI/NISO Z39.50 protocol for Information Retrieval.

%package -n	%{libname}
Summary:	Z39.50 Library
Group:		System/Libraries
Requires:	openssl
Requires:	tcp_wrappers

%description -n	%{libname}
YAZ is a library for the ANSI/NISO Z39.50 protocol for Information
Retrieval.

%package -n	%{libname}-devel
Summary:	Z39.50 Library - development package
Group:		Development/C
Requires:	%{libname} = %{version}
Requires:	libxml2-devel
Requires:	openssl-devel
Requires:	readline-devel
Requires:	zlib-devel
Provides:	%{name}-devel
Provides:	lib%{name}-devel

%description -n %{libname}-devel
Development libraries and includes for the libyaz package.

%prep

%setup -q
%patch0 -p0

%build
export WANT_AUTOCONF_2_5=1
rm -f missing
libtoolize --copy --force; aclocal-1.7; autoconf; automake-1.7 --add-missing

%configure2_5x \
	--enable-shared \
	--enable-tcpd \
	--with-openssl

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%{makeinstall_std}

# fix installed docs
mv %{buildroot}%{_docdir}/yaz docs

# fix yaz-config (weird stuff...)
perl -pi -e "s|^yaz_echo_source=.*|yaz_echo_source=yes|g" %{buildroot}%{_bindir}/yaz-config

%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/yaz-config

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README LICENSE TODO docs/*.html docs/*.png docs/*.pdf
%attr(755,root,root) %{_bindir}/yaz-client
%attr(755,root,root) %{_bindir}/yaz-iconv
%attr(755,root,root) %{_bindir}/yaz-marcdump
%attr(755,root,root) %{_bindir}/yaz-ztest
%attr(755,root,root) %{_bindir}/zoomsh
%{_mandir}/man1/yaz-client*.*
%{_mandir}/man1/yaz-iconv.1*
%{_mandir}/man1/yaz-marcdump.1*
%{_mandir}/man1/zoomsh.*
%{_mandir}/man8/yaz-ztest*.*

%files -n	%{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_mandir}/man7/yaz.*
%{_datadir}/yaz/etc

%files -n	%{libname}-devel
%defattr(-,root,root)
%attr(755,root,root) %{_bindir}/yaz-config
%multiarch %{multiarch_bindir}/yaz-config
%attr(755,root,root) %{_bindir}/yaz-asncomp
%{_includedir}/yaz
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_datadir}/aclocal/yaz.m4
%{_datadir}/yaz/z39.50
%{_datadir}/yaz/ill
%{_mandir}/man1/yaz-asncomp.*
%{_mandir}/man8/yaz-config.*

%changelog
* Sun Apr 03 2005 Pascal Terjan <pterjan@mandrake.org> 2.0.28-3mdk
- multiarch

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.0.28-2mdk
- rebuild for new readline

* Fri Nov 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.28-1mdk
- 2.0.28
- rediffed P0

* Mon Nov 08 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.26-1mdk
- 2.0.26

* Mon Jun 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.21-4mdk
- rebuild

* Mon May 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.21-3mdk
- fix yaz-config (weird stuff...)

* Mon May 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.21-2mdk
- make it compile on 9.2 too

* Mon May 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.21-1mdk
- 2.0.21
- drop the patches
- added P0 (yaz-config)
- misc spec file fixes

* Mon Nov 17 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.4-1mdk
- initial cooker contrib, used bits and pieces from the PLD package

